org.apache.tinkerpop.gremlin.structure.io

## Interface Mapper.Builder<B extends Mapper.Builder>

- All Known Implementing Classes:
    GraphMLMapper.Builder, GraphSONMapper.Builder, GryoMapper.Builder
  Enclosing interface:
    Mapper<T>

      public static interface Mapper.Builder<B extends Mapper.Builder>

  Largely a marker interface for builders that construct `Mapper` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default B` | `addRegistries(List<IoRegistry> registries)` Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`.
    `B` | `addRegistry(IoRegistry registry)` Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`.

- - ### Method Detail

    - #### addRegistry

          B addRegistry(IoRegistry registry)

      Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`. All `Io` implementations should expose this method via this `Mapper.Builder` so that it is compatible with `Graph.io(org.apache.tinkerpop.gremlin.structure.io.Io.Builder<I>)`. Successive calls to this method will add multiple registries. Registry order must be respected when doing so. In other words, data written with `IoRegistry` `A` added first and `B` second must be read by a `Mapper` with that same registry ordering. Attempting to add `B` before `A` will result in errors.

    - #### addRegistries

          default B addRegistries(List<IoRegistry> registries)

      Adds a vendor supplied `IoRegistry` to the `Mapper.Builder` which enables it to check for vendor custom serializers to add to the `Mapper`. All `Io` implementations should expose this method via this `Mapper.Builder` so that it is compatible with `Graph.io(org.apache.tinkerpop.gremlin.structure.io.Io.Builder<I>)`. Successive calls to this method will add multiple registries. Registry order must be respected when doing so. In other words, data written with `IoRegistry` `A` added first and `B` second must be read by a `Mapper` with that same registry ordering. Attempting to add `B` before `A` will result in errors.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.